QGIS Application - Bug report #16907
QGIS LTR frequently crashes with a certain WMS layer
2017-07-21 01:53 PM - Daniela Fasler

Status: Closed

Priority: High

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:2.18.4 Regression?: No

Operating System: Windows 32 bit Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corruptsdata: Copied to github as #: 24806
Description

I'm working with QGIS cloud 2.18.4. When I'm adding a WMS layer, QGIS frequently crashes or at least can't really work because it's so
slow. In the legend window normally the WMS layer doesn't appear with it's name (only check-box). When adding more than one layer,
QGIS always crashes. Thanks!

History

#1 - 2017-07-21 02:15 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Priority changed from Normal to High

Please post the WMS service URL and also upgrade to the latest QGIS version available, 2.18.10.

#2 - 2017-07-21 02:34 PM - Daniela Fasler

WMS URL:
http://geoshop.lu.ch/SWMS?REQUEST=GetCapabilities&#38;SERVICE=WMS?VERSION=1.1.1

you'll need user/password

Can't update to the latest version at the moment, because it's a company installation.

#3 - 2017-07-21 02:35 PM - Giovanni Manghi
Daniela Fasler wrote:
WMS URL:

http://geoshop.lu.ch/SWMS ?REQUEST=GetCapabilities&#38;SERVICE=WMS?VERSION=1.1.1

you'll need user/password

Can't update to the latest version at the moment, because it's a company installation.

can you provide us with the credentials? it can be even privately if necessary.

#4 - 2017-07-21 02:39 PM - Daniela Fasler
http://geoshop.lu.ch/SWMS?REQUEST=GetCapabilities&#38;SERVICE=WMS?VERSION=1.1.1
http://geoshop.lu.ch/SWMS?REQUEST=GetCapabilities&#38;SERVICE=WMS?VERSION=1.1.1

user: Xxx

PW: XXX

#5 - 2017-07-21 03:13 PM - Giovanni Manghi

- File Recording #1.mp4 added

Daniela Fasler wrote:

user: Xxxx

PW: XXX

see attached screencast, no issues whatsoever here, also is fast. The layers do not show a legend because likely the server is not configured (or well

configured) to create a legend for WMS layers.

#6 - 2017-07-21 03:59 PM - Daniela Fasler

very strange... it has also been tested by sourcepole (Pirmin Kalberer) and there it also workes fine, but in our company, it doesn't... That's why Pirmin

Kalberer recommended to post the issue here...

#7 - 2017-07-21 04:09 PM - Giovanni Manghi

Daniela Fasler wrote:

very strange... it has also been tested by sourcepole (Pirmin Kalberer) and there it also workes fine, but in our company, it doesn't... That's why

Pirmin Kalberer recommended to post the issue here...

you likely must look at this as a local issue: try disbaling 3rd aprty plugins, clean QGIS cache, monitor RAM consumption (as you use Windows 32bit...),

etc.

If you can try remove (after a backup) the .qgis2 folder.

#8 - 2017-07-21 04:50 PM - Daniela Fasler
| tried all these things, but no success.
| can load the whole WMS, it workes (also quite fast), but when | disable the WMS layer in the layer window or delete it, QGIS crashes. When | load only
one layer of the WMS, it also workes, until | want to disable the layer or load another layer too.
RAM consumption is ok.
#9 - 2017-07-21 04:59 PM - Giovanni Manghi
Daniela Fasler wrote:
| tried all these things, but no success.

I can load the whole WMS, it workes (also quite fast), but when | disable the WMS layer in the layer window or delete it, QGIS crashes. When | load
only one layer of the WMS, it also workes, until | want to disable the layer or load another layer too.
RAM consumption is ok.

tried hard here as above, and no problems.

#10 - 2017-07-24 08:42 AM - Daniela Fasler
- File Aufnahme #1.mp4 added

thanks for testing...

see the screencast how it works on my machine.

#11 - 2017-07-24 11:41 AM - Giovanni Manghi

Daniela Fasler wrote:

thanks for testing...

see the screencast how it works on my machine.

please try on a different machine, possibly with a QGIS 64 bit clean installation.

#12 - 2017-09-25 04:11 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed

Closing for lack of feedback, please reopen if necessary.

Files

qgis-20170721-112804-11580-16380-59c1d21.zip 3.96 MB 2017-07-21 Daniela Fasler

Recording #1.mp4 3.01 MB 2017-07-21 Giovanni Manghi

Aufnahme #1.mp4 2.6 MB 2017-07-24 Daniela Fasler
